org.mariadb.jdbc.internal.packet.result

## Interface RowPacket

All Known Implementing Classes:
  BinaryRowPacket, TextRowPacket

    public interface RowPacket

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[][]` `getRow(ReadPacketFetcher packetFetcher, Buffer buffer)`
`byte[][]` `getRow(ReadPacketFetcher packetFetcher, MariaDbInputStream inputStream, int remaining, int read)`

### Method Detail

#### getRow

    byte[][] getRow(ReadPacketFetcher packetFetcher,
                    Buffer buffer)
             throws IOException

Throws:
  `IOException`

#### getRow

    byte[][] getRow(ReadPacketFetcher packetFetcher,
                    MariaDbInputStream inputStream,
                    int remaining,
                    int read)
             throws IOException

Throws:
  `IOException`